var scriptName = "Fake Swing"; 
var scriptVersion = 1.0; 
var scriptAuthor = "soulplexis";

var exampleModule = new ExampleModule();
var exampleModuleClient;

function ExampleModule() {
	
    this.getName = function() {
        return "FakeSwing";
    };

    this.getDescription = function() {
        return "Fake swings your arm";
    };

    this.getCategory = function() {
        return "Fun";
    };

    this.onMotion = function() {
		if(mc.thePlayer.ticksExisted >=2) {
		mc.thePlayer.swingItem();
		mc.thePlayer.ticksExisted = 0;
		}
	}
	this.onDisable = function() {
	}
}

function onLoad() {
};

function onEnable() {
    exampleModuleClient = moduleManager.registerModule(exampleModule);
};

function onDisable() {
    moduleManager.unregisterModule(exampleModuleClient);
};